## org.ascape.model.space
Interface CoordinateMutable

All Superinterfaces:
  Mutable

All Known Implementing Classes:
  ListSpace, SubListSpace

    public interface CoordinateMutable

extends Mutable

A one-dimensional, fixed-size, collection of agents providing services described for space.

Since:
  1.5
Version:
  3.0
Author:
  Miles Parker

Method Summary
`void` `coordinateSweep()` Walks through each cell, setting the cell's coordinates.
`boolean` `isCoordinateSweepNeeded()` Is a coordinate location sweep needed for this space?.

Methods inherited from interface org.ascape.model.space.Mutable
`clear, deleteSweep, isDeleteSweepNeeded, newLocation, newLocation, remove`

Method Detail

### isCoordinateSweepNeeded

    boolean isCoordinateSweepNeeded()

  Is a coordinate location sweep needed for this space?.

  Returns:
    true, if is coordinate sweep needed

### coordinateSweep

    void coordinateSweep()

  Walks through each cell, setting the cell's coordinates. Only applies to discrrete mutable scapes, the behavior is overriden for scapes in which the deletion or insertion of agents has no effect on an agent's coordinate.